org.apache.commons.math3.optim

## Class PointValuePair.DataTransferObject

- java.lang.Object
- - org.apache.commons.math3.optim.PointValuePair.DataTransferObject

All Implemented Interfaces:
  Serializable

Enclosing class:
  PointValuePair

    private static class PointValuePair.DataTransferObject
    extends Object
    implements Serializable

Internal class used only for serialization.

### Field Summary

Fields
`private double[]` `point` Point coordinates.
`private static long` `serialVersionUID` Serializable UID.
`private double` `value` Value of the objective function at the point.

### Constructor Summary

Constructors
Constructor and Description
`PointValuePair.DataTransferObject(double[] point, double value)` Simple constructor.

### Method Summary

Methods
`private Object` `readResolve()` Replace the deserialized data transfer object with a `PointValuePair`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable UID.

See Also:
  Constant Field Values

#### point

    private final double[] point

Point coordinates.

#### value

    private final double value

Value of the objective function at the point.

### Constructor Detail

#### PointValuePair.DataTransferObject

    public PointValuePair.DataTransferObject(double[] point,
                                     double value)

Simple constructor.

Parameters:
  `point` - Point coordinates.
  `value` - Value of the objective function at the point.

### Method Detail

#### readResolve

    private Object readResolve()

Replace the deserialized data transfer object with a `PointValuePair`.

Returns:
  replacement `PointValuePair`